<?php
$title = 'Статистика платежей';
require ('../core/sys.php');
require ('../core/head.php');
if(!isset($user)){
header('Location: /');
exit;
}
$id = abs(intval($_GET['id']));
$pl = $db->prepare('SELECT * FROM `platform` WHERE `id` = ?');
$pl -> execute([$id]);
$pl = $pl -> fetch(PDO :: FETCH_ASSOC);
if(!isset($pl['id']) || $pl['user'] != $user['id']){
header('Location: /platform/my.aspx');
exit;
}
?><div class="col-md-6 mt-4">
					<h3><?=$title?></h3>
				</div><?
$k = $db->prepare("SELECT * FROM `pay` WHERE `platform` = '".$id."' ");
$k->execute();
$k_post = $k->rowCount();
$max = 10;
$k_page = k_page($k_post,$max);
$page = page($k_page);
$start = $max*$page-$max;
$all = $db->prepare("SELECT * FROM `pay` WHERE `platform` = '".$id."' ORDER BY `id` DESC LIMIT $start, $max");
$all -> execute();
$all = $all -> fetchAll();
if(is_array($all)){
echo '<div class="row">';
foreach($all as $a){
$status = array('yes'=>'<font color="green">Успешно</font>','no'=>'Не прошел','bad'=>'<font color="red">Ошибка площадки</font>','success' => '<font color="orage">В ожидание оплаты</font>');
$kassa = array('1' => 'Рабочий режим', '0' => 'Тестовый режим','0,1' => 'Тестовый режим');
echo '<div class="col-md-6 mt-4">
<div class="card">
<div class="card-body">
<b>ID:</b> '.$a['id'].' <br />
<b>Статус:</b> '.$status[$a['status']].'<br />
<b>Сумма: </b> '.$a['summa'].' руб. <br />
<b>Дата :</b> '.vremja($a['time']).'<br />
<b>Комментарий :</b> '.base64_decode($a['com']).'<br />
<b>Оплачено:</b> '.$kassa[$a['type']].'<br />
';
echo '
<div class="collapse mb-3" id="info'.$a['id'].'">
       
';
if(isset($a['ot'])) echo '<b>Ответ сервера :</b>
<pre style="overflow:auto;">
'.highlightText($a['ot']).'
</pre>';
echo '
<b>Дата создания заявки:</b> '.$a['date'].'
</div>
';
echo '
<br />
<p><a class="btn btn-success my-2 my-sm-0" href="#info'.$a['id'].'" data-toggle="collapse" href="#info'.$a['id'].'" aria-expanded="false" aria-controls="#info'.$a['id'].'">Информация о платеже</a></p>
</div></div></div>';

}
echo '</div>';
}
if($k_post == 0){
?><div class="box"> Пусто </div><?
}
if($k_page >1){
echo str('/platform/stat/'.$id.'.aspx',$k_page,$page);
}
require ('../core/foot.php');
?>